summaryrefslogtreecommitdiff
path: root/games-engines/openmw/openmw-9999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'games-engines/openmw/openmw-9999.ebuild')
-rw-r--r--games-engines/openmw/openmw-9999.ebuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/games-engines/openmw/openmw-9999.ebuild b/games-engines/openmw/openmw-9999.ebuild
index b8b190e0..41fbea41 100644
--- a/games-engines/openmw/openmw-9999.ebuild
+++ b/games-engines/openmw/openmw-9999.ebuild
@@ -69,6 +69,8 @@ src_configure() {
-DDATAROOTDIR="${GAMES_DATADIR_BASE}"
-DDATADIR="${GAMES_DATADIR}/${PN}"
-DSYSCONFDIR="${GAMES_SYSCONFDIR}"/${PN}
+ -DMORROWIND_DATA_FILES="${GAMES_DATADIR}/${PN}/data"
+ -DOPENMW_RESOURCE_FILES="${GAMES_DATADIR}/${PN}/resources"
$(cmake-utils_use_build launcher LAUNCHER)
$(cmake-utils_use_build opencs OPENCS)
$(cmake-utils_use_build !minimal BSATOOL)
@@ -89,7 +91,7 @@ src_test() {
src_install() {
cmake-utils_src_install
- rm -r "${D}"/usr/share/licenses
+ rm -rf "${D}"/usr/share/licenses || die
sed -e "s:resources=resources:resources=${GAMES_DATADIR}/${PN}/resources:" \
-i "${D}/${GAMES_SYSCONFDIR}"/${PN}/openmw.cfg || die
prepgamesdirs